%define upstream_name    Env-Sanctify
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Lexically scoped sanctification of %ENV
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Env/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Env::Sanctify is a module that provides lexically scoped manipulation and
sanctification of '%ENV'.

You can specify that it alter or add additional environment variables or
remove existing ones according to a list of matching regexen.

You can then either 'restore' the environment back manually or let the
object fall out of scope, which automagically restores.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-7.mga8
+ Revision: 1494442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-6.mga7
+ Revision: 1267857
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-5.mga6
+ Revision: 1026929
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-4.mga6
+ Revision: 944579
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 741131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-2.mga5
+ Revision: 684643
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 1.120.0-1.mga5
+ Revision: 596255
- update to 1.12

* Mon Oct 21 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 537919
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 488042
- update to 1.10

* Sun Sep 08 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 476188
- update to 1.08

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 366882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.60.0-1.mga3
+ Revision: 254936
- update to 1.06

* Tue Jan 18 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 22395
- cleaning spec file
- imported package perl-Env-Sanctify

